> For the complete documentation index, see [llms.txt](https://docs.novarietygames.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.novarietygames.com/websitecreator/luascript/dom/document/title.md).

# title

{% hint style="danger" %}
This property currently does not exist and is a **work in progress**. \
Please use [getTitle](/websitecreator/luascript/dom/document/gettitle.md) & [setTitle](/websitecreator/luascript/dom/document/settitle.md)
{% endhint %}

The **`document.title`** property gets or sets the current title of the document. **`document.title`** defines the document's title that is shown in a browser's title bar or a page's tab.

<pre class="language-lua"><code class="lang-lua"><strong>document.title = "String"
</strong></code></pre>

Examples

```lua
document.title = "New Title!"
```

```lua
document.addEventListener("DOMContentLoaded",function()
document.title = "DOM Loaded!"
end)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.novarietygames.com/websitecreator/luascript/dom/document/title.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
